package com.yidian.shenghuoquan.commodity.dto


/**
 * 类目列表
 */
data class CategoryListDto(
  val category_id: Long,// 分类id
  val name: String,// 分类名称
  val sub_list: List<SubCategory>// 二级分类
)

data class SubCategory(
  val category_id: Long,
  val name: String,
  var isSelect: Boolean = false
)

/**
 * 当前选中的类目信息
 */
data class SelectCategoryDto(
  val firstCategoryId: Long,
  val firstCategoryName: String,
  val secondCategoryId: Long,
  val secondCategoryName: String
)
